ch.qos.logback.core.rolling.helper

## Class FileFilterUtil

- java.lang.Object
- - ch.qos.logback.core.rolling.helper.FileFilterUtil

    public class FileFilterUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FileFilterUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `afterLastSlash(String sregex)`
`static int` `extractCounter(File file, String stemRegex)`
`static File[]` `filesInFolderMatchingStemRegex(File file, String stemRegex)` Return the set of files matching the stemRegex as found in 'directory'.
`static int` `findHighestCounter(File[] matchingFileArray, String stemRegex)`
`static boolean` `isEmptyDirectory(File dir)`
`static void` `removeEmptyParentDirectories(File file, int recursivityCount)`
`static void` `reverseSortFileArrayByName(File[] fileArray)`
`static String` `slashify(String in)`
`static void` `sortFileArrayByName(File[] fileArray)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileFilterUtil

    public FileFilterUtil()

### Method Detail

#### sortFileArrayByName

    public static void sortFileArrayByName(File[] fileArray)

#### reverseSortFileArrayByName

    public static void reverseSortFileArrayByName(File[] fileArray)

#### afterLastSlash

    public static String afterLastSlash(String sregex)

#### isEmptyDirectory

    public static boolean isEmptyDirectory(File dir)

#### filesInFolderMatchingStemRegex

    public static File[] filesInFolderMatchingStemRegex(File file,
                                                        String stemRegex)

Return the set of files matching the stemRegex as found in 'directory'. A stemRegex does not contain any slash characters or any folder separators.

Parameters:
  `file` -
  `stemRegex` -
Returns:

#### findHighestCounter

    public static int findHighestCounter(File[] matchingFileArray,
                                         String stemRegex)

#### extractCounter

    public static int extractCounter(File file,
                                     String stemRegex)

#### slashify

    public static String slashify(String in)

#### removeEmptyParentDirectories

    public static void removeEmptyParentDirectories(File file,
                                                    int recursivityCount)